# Egypt

## Required fields

| Field                  | Format                                                                                        | Description                                                                                |
| ---------------------- | --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                        | Cashouts login                                                                             |
| `pass`                 | String                                                                                        | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                      | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/knowledge-base/countries-specifications.md#documents-validations) | Beneficiary's document ID                                                                  |
| `country`              | `EG`                                                                                          | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `EGP` / `USD`                                                                                 | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies) |
| `Phone`                | String (max length: 100)                                                                      | Beneficiary phone number                                                                   |
| `amount`               | Number with up to 2 decimals                                                                  | Cashout amount                                                                             |
| `bank_code`            | See [bank codes](#bank-codes)                                                                 | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                      | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                      | Beneficiary's last name                                                                    |

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

```java
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "20000000001",
    "country": "EG",
    "amount": 500,
    "currency": "EGP",
    "phone": "201001231176",
    "bank_code": "10001", 
    "document_id": "12345678901234",
    "beneficiary_name": "John",
    "beneficiary_lastname": "Doe",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Codes

| Bank             | Code  |
| ---------------- | ----- |
| Etisalat         | 10001 |
| Vodafone         | 10002 |
| Orange Cash      | 10003 |
| CIB Smart wallet | 10004 |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/egypt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
